﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BRichTextBoxEx
{
    public partial class frmFind : Form
    {
        private int CurrentP = 0;   //当前位置

        private BRichTextBoxEx _BRichTextBoxEx;
        public frmFind(BRichTextBoxEx temp)
        {
            InitializeComponent();

            _BRichTextBoxEx = temp;
        }

        /// <summary>
        /// 查找下一个
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnFind_Click(object sender, EventArgs e)
        {
            try
            {
                if (chkMatchCase.Checked)
                    _BRichTextBoxEx.Find(txtContent.Text.Trim(), CurrentP + 1, RichTextBoxFinds.MatchCase);
                else
                    _BRichTextBoxEx.Find(txtContent.Text.Trim(), CurrentP + 1, RichTextBoxFinds.None);
                _BRichTextBoxEx.Focus();

                CurrentP = _BRichTextBoxEx.SelectionStart+txtContent.Text.Trim().Length-1;

              
            }
            catch { CurrentP = 0; }
        }

        /// <summary>
        /// 取消
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnClose_Click(object sender, EventArgs e)
        {
            this.Close();

        }
    }
}