﻿using System;
using System.Collections;
using System.Text;
using PengeSoft.Data;
using PengeSoft.WorkZoneData;

namespace ModelSvr
{
    /// <summary>
    /// MessageList 消息列表的摘要说明。
    /// </summary>
    public class DBInfoList : NorDataList
    {

        #region 构造函数

        /// <summary>
        /// 初始化新实例 
        /// </summary>
        public DBInfoList()
        {
            ItemType = typeof(DBInfo);
        }

        /// <summary>
        /// 初始化新实例，该实例包含从指定集合复制的元素并且具有与所复制的元素数相同的初始容量。
        /// </summary>
        /// <param name="c"></param>
        public DBInfoList(ICollection c)
            : base(c)
        {
            ItemType = typeof(DBInfo);
        }

        #endregion
    }
}
