﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TEngine
{
    /// <summary>
    /// 引擎核心服务
    /// </summary>
    public class EngineCoreSvr
    {

        #region 初始化容器

        private ProjectInfo _TProjectInfo;  //核心对象
        private DBInfoList _TDBInfoList;//数据库设计列表
        #endregion

        #region 构造函数
        //锁定无参构造函数
        private EngineCoreSvr() { }

        /// <summary>
        /// 构造核心服务，代码生成
        /// </summary>
        /// <param name="modelXml">模型文本</param>
        /// <param name="templateXml">模版文本，建议模型文件名，不带后缀</param>
        public EngineCoreSvr(string modelXml, string templateXml)
        {

        }

        #endregion

        #region 初始化工作

        /// <summary>
        /// 加载ProjectInfo
        /// </summary>
        private void InitProjectInfo()
        {
        
        }

        /// <summary>
        /// 加载DBInfoList
        /// </summary>
        private void InitDBInfoList()
        {
            
        }

        #endregion
    }
}
