﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TreeMgeSvr
{
    /// <summary>
    /// 树节点描述
    /// </summary>
    public class TreeAttribute
    {
        #region 构造函数
        
        #endregion

        #region 私有字段
        private string _Name; //名称
        private string _Text; //文本
        private string _Parent; //父节点名
        private int _Deep; //深度
        private string _Comment; //注释
        private object _Tag;   //扩展
        #endregion

        #region 公共属性
        /// <summary>
        /// 名称
        /// </summary>
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }

        /// <summary>
        /// 文本
        /// </summary>
        public string Text
        {
            get { return _Text; }
            set { _Text = value; }
        }

        /// <summary>
        /// 父节点名
        /// </summary>
        public string Parent
        {
            get { return _Parent; }
            set { _Parent = value; }
        }

        /// <summary>
        /// 深度
        /// </summary>
        public int Deep
        {
            get { return _Deep; }
            set { _Deep = value; }
        }

        /// <summary>
        /// 注释
        /// </summary>
        public string Comment
        {
            get { return _Comment; }
            set { _Comment = value; }
        }

        /// <summary>
        /// 扩展
        /// </summary>
        public object Tag
        {
            get { return _Tag; }
            set { _Tag = value; }
        }
        #endregion
    }
}
