﻿using System;
using System.Collections;
using System.Text;
using PengeSoft.Data;
using PengeSoft.WorkZoneData;

namespace TEngine
{
    /// <summary>
    /// ProjectInfoList 的摘要说明。
    /// </summary>
    public class ProjectInfoList:NorDataList 
    {

        #region 构造函数

        /// <summary>
        /// 初始化新实例 
        /// </summary>
        public ProjectInfoList()
        {
            ItemType = typeof(ProjectInfo);
        }

        /// <summary>
        /// 初始化新实例，该实例包含从指定集合复制的元素并且具有与所复制的元素数相同的初始容量。
        /// </summary>
        /// <param name="c"></param>
        public ProjectInfoList(ICollection c)
            : base(c)
        {
            ItemType = typeof(ProjectInfo);
        }

        #endregion
    }
}
